from bs4 import BeautifulSoup
# 读取html文件
f = open('test.html', 'r')
str = f.read()
f.close()
# 创建BeautifulSoup对象，第一个参数为解析的字符串，第二个参数为解析器
soup = BeautifulSoup(str, 'html.parser')
# 匹配内容，第一个为标签名称，第二个为限定属性，下面表示匹配class为test的img标签
img_list = soup.find_all('img', {'class': 'test'})
# 遍历标签
for img in img_list:
    # 获取img标签的src值
    src = img['src']
    print(src)